Bug 450289 - Old buggy CGI.pm supplied with Fedora 8 & 9
Old buggy CGI.pm supplied with Fedora 8 & 9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 10:04 EDT by Petr Hroudny
Modified: 2008-06-12 22:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: 5.8.8-40.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Hroudny 2008-06-06 10:04:47 EDT
Description of problem:

perl's CGI.pm supplied with Fedora 8 and Fedora 9 is buggy regarding
UTF-8 handling. The first version of CGI.pm where this problem is fixed
is 3.30

From the CGI.pm Changelog:

Version 3.30

  2. Patch from Rafael Garcia-Suarez to correctly reencode unicode values as
byte values.


To fix: upgrade CGI.pm to version 3.31 or above
Comment 1 Marcela Mašláňová 2008-06-09 04:06:17 EDT
I made update to v3.37 for F-9 week ago. 
I can update it also for F-8, but please test it and let me know how it's
working there.
Comment 2 Fedora Update System 2008-06-11 03:40:31 EDT
perl-5.8.8-40.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-06-11 19:35:48 EDT
perl-5.8.8-40.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5251
Comment 4 Petr Hroudny 2008-06-12 05:11:22 EDT
Looks good, many thanks!
Comment 5 Fedora Update System 2008-06-12 22:19:11 EDT
perl-5.8.8-40.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.